-- written by Gizmo
----------------------------------------------------------------------
-- If you like Project Phoenix and want to help support the project
-- you could send any donation amount to jessebutler1975@gmail.com at
-- paypal.com
--
-- Thank you for using my product, 
-- I hope you enjoy it as much as I do
----------------------------------------------------------------------
----------------------------------------------------------
--@function HandleInitializer(item)
--@param item - the item thats currently loading, update
--              item property based on the initializer
----------------------------------------------------------
function HandleInitializer(item)
	local properties = item:GetObjVar("MagicProperties")
	--if we dont have a properties table then create one
	if(properties == nil) then
		properties = LootTable.PropertyTable
	end
	if(initializer ~= nil) then
		for k,v in pairs(initializer) do
			if(initializer[k] ~= nil) then
				properties[k] = initializer[k]
			end		
		end
		LootTable.Functions.UpdateItemTooltip(this)	
	end
	item:SetObjVar("MagicProperties",properties)
end
----------------------------------------------------------
--EVENTTYPE - ModuleAttached 
----------------------------------------------------------
RegisterEventHandler(EventType.ModuleAttached,GetCurrentModule(),
function()
	if not(this:IsPlayer()) then
		if not(this:HasObjVar("MagicProperties")) then
			this:SetObjVar("MagicProperties",LootTable.PropertyTable)
			HandleInitializer(this)
			LootTable.Functions.UpdateItemTooltip(this)
		end
	end
end)







