-- written by Gizmo
----------------------------------------------------------------------
-- If you like Project Phoenix and want to help support the project
-- you could send any donation amount to jessebutler1975@gmail.com at
-- paypal.com
--
-- Thank you for using my product, 
-- I hope you enjoy it as much as I do
----------------------------------------------------------------------
HUE_COLOR_LIST=
{
	Monster 	= "FF0000",
	Item 		= "0000FF",
	Resource 	= "00FF00",
	QuestGiver 	= "FF00FF",
	Sequential	= "FFFF00",
	Effect		= "00FFFF",
	Sound		= "EE9400",
	Treasure	= "650065",
	Speech      = "00FF77",
}

function SimpleSpawnerHuePicker(user,spawner)
	local window = DynamicWindow("EditHueDialog","Simple Hue Picker",500,500,-100,-150,"Default","Center")
	local scrollWindow = ScrollWindow(20,40,440,400,50)

	window:AddLabel(100,10,"select a color below for the spawner",300,24,24,"left")

	for index, hue in pairs(HUE_COLOR_LIST) do
		local scrollElement = ScrollElement()
		scrollElement:AddImage(0,0,"SectionBackground",438,50,"Sliced")
		scrollElement:AddLabel(10,10,"["..hue.."]"..index,200,24,24,"left")
		scrollElement:AddButton(368,8,"SetHue:"..hue,"Set",50,30,"set the hue of the spawner to this color",nil,false,"")
		scrollWindow:Add(scrollElement)
	end

	window:AddScrollWindow(scrollWindow)
	user:OpenDynamicWindow(window,spawner)
end