-- written by Gizmo
----------------------------------------------------------------------
-- If you like Project Phoenix and want to help support the project
-- you could send any donation amount to jessebutler1975@gmail.com at
-- paypal.com
--
-- Thank you for using my product, 
-- I hope you enjoy it as much as I do
----------------------------------------------------------------------
RegisterSingleEventHandler(EventType.ModuleAttached, GetCurrentModule(), 
function()
	AddUseCase(this,"Open",true)
	this:SetObjVar("DeleteTime",300)
	this:SetObjVar("TimeLeft",300)
end)
RegisterEventHandler(EventType.Message, "UseObject", 
function(user,usedType)
    if(usedType == "Open" or usedType == "Use") then
    	if(this:GetObjVar("TimeLeft") == this:GetObjVar("DeleteTime")) then
    		this:SetColor("555555")
    		this:ScheduleTimerDelay(TimeSpan.FromSeconds(1), "DeleteTimer")
    		user:SystemMessage("the chest begins to decay and crumble...")
    	end
    end
end)
RegisterEventHandler(EventType.Timer, "DeleteTimer", 
function()
	local count = this:GetObjVar("TimeLeft")
	count = count - 1
	if(count < 0) then
		if(this:HasObjVar("parentSpawner")) then
			GameObj(this:GetObjVar("parentSpawner")):SendMessage("mobHasDied", this)
		end		
		this:Destroy()
		return false
	end
	this:SetObjVar("TimeLeft",count)
	local time_string = os.date("[CCCC33]Decays in %M:%S",count)
	SetTooltipEntry(this,"time_left",time_string,-500)
	this:ScheduleTimerDelay(TimeSpan.FromSeconds(1), "DeleteTimer")
end)